/* LEAFLET POPUP FENSTER STYLING */

/* LEAFLET MAP Graufilter */
.leaflet-tile-pane {
    filter: grayscale(100%);
}

/* LEAFLET MAP - Abgerundete Ecken */
.leaflet-container {
    border-radius: 0.8em !important;
    overflow: hidden !important;
	z-index: 1 !important;
	box-shadow: 5px 5px 10px 2px rgba(0, 0, 0, 0.15) !important;
}

.leaflet-popup-content-wrapper {
   	background-color: var(--neutral-white-02) !important;
    border-radius: 0.8em !important;
    padding: 1.2em !important;
    box-shadow: 0 3px 14px rgba(0,0,0,0.2) !important;
   	display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    box-sizing: border-box !important;
}

.leaflet-popup-content-wrapper {
    margin: 0 !important;
    width: 100% !important;
    height: 100% !important;
    display: flex !important;
    flex-direction: column !important;
    justify-content: center !important;
}

/* Pop-Up Fenster Content Abstand */
.leaflet-popup-content * {
    margin: 0 !important;
    padding: 0 !important;
    line-height: 1.8em !important;
}

/* Pop-Up Fenster Text */
.stein-name {
    font-family: var(--gp-font--head);
    font-size: clamp(0.9703rem, 0.8821rem + 0.3528vi, 1.1644rem);
    color: var(--brand-color-01) !important;
}

.stein-strasse {
    font-size: clamp(0.8333rem, 0.7576rem + 0.303vi, 1rem);
    color: var(--brand-color-01) !important;
}

/* Pop-Up Fenster Link */
.stein-link {
    font-size: var(--font-size-s);
    color: var(--brand-color-03) !important;
    text-decoration: underline;
    display: inline-block;
    transition: transform 0.2s ease, color 0.2s ease;
    padding-top: 0.2em !important;
}

.stein-link:hover {
    color: var(--brand-color-06) !important;
    transform: rotate(-3deg);
}

/* Pop-Up Fenster Pfeil unten */
.leaflet-popup-tip {
    background-color: var(--neutral-white-01) !important;
    border-radius: 0px !important;
}

/* Close-Button */
.leaflet-popup-close-button {
    color: var(--brand-color-01) !important;
    font-size: 1.2rem !important;
    font-weight: bold !important;
    transition: color 0.2s ease !important;
    top: 0.4em !important;
    right: 0.4em !important;
    padding: 0 !important;
}

/* FONT FAMILY */
.ff-body {
    font-family: var(--gp-font--body);
}

.ff-heading {
    font-family: var(--gp-font--head);
}